Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 577514 - Remove redundant pref-offline UI which was commented out since 2001.
: Remove redundant pref-offline UI which was commented out since 2001.
: useless-UI
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All Windows 7
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Philip Chee
Depends on:
  Show dependency treegraph
Reported: 2010-07-08 10:19 PDT by Philip Chee
Modified: 2010-07-26 05:54 PDT (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Patch v1.0 remove useless files. (8.60 KB, patch)
2010-07-08 10:25 PDT, Philip Chee
iann_bugzilla: review+
neil: superreview+
Details | Diff | Splinter Review

Description Philip Chee 2010-07-08 10:19:46 PDT
In preferences.xul I see this comment:

      <!-- commented out until bug 82487 is fixed 
      <treeitem id="offlineItem"

However bug 82487 is long since fixed. Meanwhile the UI for this pref has moved to Mail&Newsgroups -> Offline&Disk Space.

To quote Bug 221734 comment 19:

> - pref-offline.xul was created by me in bug 221736 to move some mailnews prefs
>   to the mailnews section where they belong.
> - The offline startup prefs were left in place, since they are not mailnews
>   specific.
> - The offline startup prefs were commented out pending the fix for bug 82487.
>   They still are where they have always been, so that we now have a duplication
>   of the prefs.

I propose to remove the communicator pref-offline UI since:
1. It's the old XPFE <panel> so would need to be totally rewritten anyway.
2. Commented out since 2001 and nobody noticed in the intervening 9 years, or at least enough to care.
3. There is functional UI in the prefwindow that deals with this pref anyway.
Comment 1 Philip Chee 2010-07-08 10:25:06 PDT
Created attachment 456465 [details] [diff] [review]
Patch v1.0 remove useless files.

Proposed patch.
Comment 2 Ian Neal 2010-07-12 15:09:56 PDT
Comment on attachment 456465 [details] [diff] [review]
Patch v1.0 remove useless files.

Comment 3 Philip Chee 2010-07-18 05:08:30 PDT
Pushed to comm-central

Note You need to log in before you can comment on or make changes to this bug.